Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network217.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
217.0.0.0
Broadcast address
217.255.255.255
First usable
217.0.0.1
Last usable
217.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex D9000000 · Integer 3640655872 to 3657433087
Reverse DNS zone
217.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011001..00000000.00000000.00000000217.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11011001..00000000.00000000.00000000217.0.0.0
Broadcast11011001..11111111.11111111.11111111217.255.255.255
Split into smaller subnets/16

217.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1217.0.0.0/16217.0.0.1 to 217.0.255.254217.0.255.25565,534
2217.1.0.0/16217.1.0.1 to 217.1.255.254217.1.255.25565,534
3217.2.0.0/16217.2.0.1 to 217.2.255.254217.2.255.25565,534
4217.3.0.0/16217.3.0.1 to 217.3.255.254217.3.255.25565,534
5217.4.0.0/16217.4.0.1 to 217.4.255.254217.4.255.25565,534
6217.5.0.0/16217.5.0.1 to 217.5.255.254217.5.255.25565,534
7217.6.0.0/16217.6.0.1 to 217.6.255.254217.6.255.25565,534
8217.7.0.0/16217.7.0.1 to 217.7.255.254217.7.255.25565,534
9217.8.0.0/16217.8.0.1 to 217.8.255.254217.8.255.25565,534
10217.9.0.0/16217.9.0.1 to 217.9.255.254217.9.255.25565,534
11217.10.0.0/16217.10.0.1 to 217.10.255.254217.10.255.25565,534
12217.11.0.0/16217.11.0.1 to 217.11.255.254217.11.255.25565,534
13217.12.0.0/16217.12.0.1 to 217.12.255.254217.12.255.25565,534
14217.13.0.0/16217.13.0.1 to 217.13.255.254217.13.255.25565,534
15217.14.0.0/16217.14.0.1 to 217.14.255.254217.14.255.25565,534
16217.15.0.0/16217.15.0.1 to 217.15.255.254217.15.255.25565,534
17217.16.0.0/16217.16.0.1 to 217.16.255.254217.16.255.25565,534
18217.17.0.0/16217.17.0.1 to 217.17.255.254217.17.255.25565,534
19217.18.0.0/16217.18.0.1 to 217.18.255.254217.18.255.25565,534
20217.19.0.0/16217.19.0.1 to 217.19.255.254217.19.255.25565,534
21217.20.0.0/16217.20.0.1 to 217.20.255.254217.20.255.25565,534
22217.21.0.0/16217.21.0.1 to 217.21.255.254217.21.255.25565,534
23217.22.0.0/16217.22.0.1 to 217.22.255.254217.22.255.25565,534
24217.23.0.0/16217.23.0.1 to 217.23.255.254217.23.255.25565,534
25217.24.0.0/16217.24.0.1 to 217.24.255.254217.24.255.25565,534
26217.25.0.0/16217.25.0.1 to 217.25.255.254217.25.255.25565,534
27217.26.0.0/16217.26.0.1 to 217.26.255.254217.26.255.25565,534
28217.27.0.0/16217.27.0.1 to 217.27.255.254217.27.255.25565,534
29217.28.0.0/16217.28.0.1 to 217.28.255.254217.28.255.25565,534
30217.29.0.0/16217.29.0.1 to 217.29.255.254217.29.255.25565,534
31217.30.0.0/16217.30.0.1 to 217.30.255.254217.30.255.25565,534
32217.31.0.0/16217.31.0.1 to 217.31.255.254217.31.255.25565,534
33217.32.0.0/16217.32.0.1 to 217.32.255.254217.32.255.25565,534
34217.33.0.0/16217.33.0.1 to 217.33.255.254217.33.255.25565,534
35217.34.0.0/16217.34.0.1 to 217.34.255.254217.34.255.25565,534
36217.35.0.0/16217.35.0.1 to 217.35.255.254217.35.255.25565,534
37217.36.0.0/16217.36.0.1 to 217.36.255.254217.36.255.25565,534
38217.37.0.0/16217.37.0.1 to 217.37.255.254217.37.255.25565,534
39217.38.0.0/16217.38.0.1 to 217.38.255.254217.38.255.25565,534
40217.39.0.0/16217.39.0.1 to 217.39.255.254217.39.255.25565,534
41217.40.0.0/16217.40.0.1 to 217.40.255.254217.40.255.25565,534
42217.41.0.0/16217.41.0.1 to 217.41.255.254217.41.255.25565,534
43217.42.0.0/16217.42.0.1 to 217.42.255.254217.42.255.25565,534
44217.43.0.0/16217.43.0.1 to 217.43.255.254217.43.255.25565,534
45217.44.0.0/16217.44.0.1 to 217.44.255.254217.44.255.25565,534
46217.45.0.0/16217.45.0.1 to 217.45.255.254217.45.255.25565,534
47217.46.0.0/16217.46.0.1 to 217.46.255.254217.46.255.25565,534
48217.47.0.0/16217.47.0.1 to 217.47.255.254217.47.255.25565,534
49217.48.0.0/16217.48.0.1 to 217.48.255.254217.48.255.25565,534
50217.49.0.0/16217.49.0.1 to 217.49.255.254217.49.255.25565,534
51217.50.0.0/16217.50.0.1 to 217.50.255.254217.50.255.25565,534
52217.51.0.0/16217.51.0.1 to 217.51.255.254217.51.255.25565,534
53217.52.0.0/16217.52.0.1 to 217.52.255.254217.52.255.25565,534
54217.53.0.0/16217.53.0.1 to 217.53.255.254217.53.255.25565,534
55217.54.0.0/16217.54.0.1 to 217.54.255.254217.54.255.25565,534
56217.55.0.0/16217.55.0.1 to 217.55.255.254217.55.255.25565,534
57217.56.0.0/16217.56.0.1 to 217.56.255.254217.56.255.25565,534
58217.57.0.0/16217.57.0.1 to 217.57.255.254217.57.255.25565,534
59217.58.0.0/16217.58.0.1 to 217.58.255.254217.58.255.25565,534
60217.59.0.0/16217.59.0.1 to 217.59.255.254217.59.255.25565,534
61217.60.0.0/16217.60.0.1 to 217.60.255.254217.60.255.25565,534
62217.61.0.0/16217.61.0.1 to 217.61.255.254217.61.255.25565,534
63217.62.0.0/16217.62.0.1 to 217.62.255.254217.62.255.25565,534
64217.63.0.0/16217.63.0.1 to 217.63.255.254217.63.255.25565,534
65217.64.0.0/16217.64.0.1 to 217.64.255.254217.64.255.25565,534
66217.65.0.0/16217.65.0.1 to 217.65.255.254217.65.255.25565,534
67217.66.0.0/16217.66.0.1 to 217.66.255.254217.66.255.25565,534
68217.67.0.0/16217.67.0.1 to 217.67.255.254217.67.255.25565,534
69217.68.0.0/16217.68.0.1 to 217.68.255.254217.68.255.25565,534
70217.69.0.0/16217.69.0.1 to 217.69.255.254217.69.255.25565,534
71217.70.0.0/16217.70.0.1 to 217.70.255.254217.70.255.25565,534
72217.71.0.0/16217.71.0.1 to 217.71.255.254217.71.255.25565,534
73217.72.0.0/16217.72.0.1 to 217.72.255.254217.72.255.25565,534
74217.73.0.0/16217.73.0.1 to 217.73.255.254217.73.255.25565,534
75217.74.0.0/16217.74.0.1 to 217.74.255.254217.74.255.25565,534
76217.75.0.0/16217.75.0.1 to 217.75.255.254217.75.255.25565,534
77217.76.0.0/16217.76.0.1 to 217.76.255.254217.76.255.25565,534
78217.77.0.0/16217.77.0.1 to 217.77.255.254217.77.255.25565,534
79217.78.0.0/16217.78.0.1 to 217.78.255.254217.78.255.25565,534
80217.79.0.0/16217.79.0.1 to 217.79.255.254217.79.255.25565,534
81217.80.0.0/16217.80.0.1 to 217.80.255.254217.80.255.25565,534
82217.81.0.0/16217.81.0.1 to 217.81.255.254217.81.255.25565,534
83217.82.0.0/16217.82.0.1 to 217.82.255.254217.82.255.25565,534
84217.83.0.0/16217.83.0.1 to 217.83.255.254217.83.255.25565,534
85217.84.0.0/16217.84.0.1 to 217.84.255.254217.84.255.25565,534
86217.85.0.0/16217.85.0.1 to 217.85.255.254217.85.255.25565,534
87217.86.0.0/16217.86.0.1 to 217.86.255.254217.86.255.25565,534
88217.87.0.0/16217.87.0.1 to 217.87.255.254217.87.255.25565,534
89217.88.0.0/16217.88.0.1 to 217.88.255.254217.88.255.25565,534
90217.89.0.0/16217.89.0.1 to 217.89.255.254217.89.255.25565,534
91217.90.0.0/16217.90.0.1 to 217.90.255.254217.90.255.25565,534
92217.91.0.0/16217.91.0.1 to 217.91.255.254217.91.255.25565,534
93217.92.0.0/16217.92.0.1 to 217.92.255.254217.92.255.25565,534
94217.93.0.0/16217.93.0.1 to 217.93.255.254217.93.255.25565,534
95217.94.0.0/16217.94.0.1 to 217.94.255.254217.94.255.25565,534
96217.95.0.0/16217.95.0.1 to 217.95.255.254217.95.255.25565,534
97217.96.0.0/16217.96.0.1 to 217.96.255.254217.96.255.25565,534
98217.97.0.0/16217.97.0.1 to 217.97.255.254217.97.255.25565,534
99217.98.0.0/16217.98.0.1 to 217.98.255.254217.98.255.25565,534
100217.99.0.0/16217.99.0.1 to 217.99.255.254217.99.255.25565,534
101217.100.0.0/16217.100.0.1 to 217.100.255.254217.100.255.25565,534
102217.101.0.0/16217.101.0.1 to 217.101.255.254217.101.255.25565,534
103217.102.0.0/16217.102.0.1 to 217.102.255.254217.102.255.25565,534
104217.103.0.0/16217.103.0.1 to 217.103.255.254217.103.255.25565,534
105217.104.0.0/16217.104.0.1 to 217.104.255.254217.104.255.25565,534
106217.105.0.0/16217.105.0.1 to 217.105.255.254217.105.255.25565,534
107217.106.0.0/16217.106.0.1 to 217.106.255.254217.106.255.25565,534
108217.107.0.0/16217.107.0.1 to 217.107.255.254217.107.255.25565,534
109217.108.0.0/16217.108.0.1 to 217.108.255.254217.108.255.25565,534
110217.109.0.0/16217.109.0.1 to 217.109.255.254217.109.255.25565,534
111217.110.0.0/16217.110.0.1 to 217.110.255.254217.110.255.25565,534
112217.111.0.0/16217.111.0.1 to 217.111.255.254217.111.255.25565,534
113217.112.0.0/16217.112.0.1 to 217.112.255.254217.112.255.25565,534
114217.113.0.0/16217.113.0.1 to 217.113.255.254217.113.255.25565,534
115217.114.0.0/16217.114.0.1 to 217.114.255.254217.114.255.25565,534
116217.115.0.0/16217.115.0.1 to 217.115.255.254217.115.255.25565,534
117217.116.0.0/16217.116.0.1 to 217.116.255.254217.116.255.25565,534
118217.117.0.0/16217.117.0.1 to 217.117.255.254217.117.255.25565,534
119217.118.0.0/16217.118.0.1 to 217.118.255.254217.118.255.25565,534
120217.119.0.0/16217.119.0.1 to 217.119.255.254217.119.255.25565,534
121217.120.0.0/16217.120.0.1 to 217.120.255.254217.120.255.25565,534
122217.121.0.0/16217.121.0.1 to 217.121.255.254217.121.255.25565,534
123217.122.0.0/16217.122.0.1 to 217.122.255.254217.122.255.25565,534
124217.123.0.0/16217.123.0.1 to 217.123.255.254217.123.255.25565,534
125217.124.0.0/16217.124.0.1 to 217.124.255.254217.124.255.25565,534
126217.125.0.0/16217.125.0.1 to 217.125.255.254217.125.255.25565,534
127217.126.0.0/16217.126.0.1 to 217.126.255.254217.126.255.25565,534
128217.127.0.0/16217.127.0.1 to 217.127.255.254217.127.255.25565,534
129217.128.0.0/16217.128.0.1 to 217.128.255.254217.128.255.25565,534
130217.129.0.0/16217.129.0.1 to 217.129.255.254217.129.255.25565,534
131217.130.0.0/16217.130.0.1 to 217.130.255.254217.130.255.25565,534
132217.131.0.0/16217.131.0.1 to 217.131.255.254217.131.255.25565,534
133217.132.0.0/16217.132.0.1 to 217.132.255.254217.132.255.25565,534
134217.133.0.0/16217.133.0.1 to 217.133.255.254217.133.255.25565,534
135217.134.0.0/16217.134.0.1 to 217.134.255.254217.134.255.25565,534
136217.135.0.0/16217.135.0.1 to 217.135.255.254217.135.255.25565,534
137217.136.0.0/16217.136.0.1 to 217.136.255.254217.136.255.25565,534
138217.137.0.0/16217.137.0.1 to 217.137.255.254217.137.255.25565,534
139217.138.0.0/16217.138.0.1 to 217.138.255.254217.138.255.25565,534
140217.139.0.0/16217.139.0.1 to 217.139.255.254217.139.255.25565,534
141217.140.0.0/16217.140.0.1 to 217.140.255.254217.140.255.25565,534
142217.141.0.0/16217.141.0.1 to 217.141.255.254217.141.255.25565,534
143217.142.0.0/16217.142.0.1 to 217.142.255.254217.142.255.25565,534
144217.143.0.0/16217.143.0.1 to 217.143.255.254217.143.255.25565,534
145217.144.0.0/16217.144.0.1 to 217.144.255.254217.144.255.25565,534
146217.145.0.0/16217.145.0.1 to 217.145.255.254217.145.255.25565,534
147217.146.0.0/16217.146.0.1 to 217.146.255.254217.146.255.25565,534
148217.147.0.0/16217.147.0.1 to 217.147.255.254217.147.255.25565,534
149217.148.0.0/16217.148.0.1 to 217.148.255.254217.148.255.25565,534
150217.149.0.0/16217.149.0.1 to 217.149.255.254217.149.255.25565,534
151217.150.0.0/16217.150.0.1 to 217.150.255.254217.150.255.25565,534
152217.151.0.0/16217.151.0.1 to 217.151.255.254217.151.255.25565,534
153217.152.0.0/16217.152.0.1 to 217.152.255.254217.152.255.25565,534
154217.153.0.0/16217.153.0.1 to 217.153.255.254217.153.255.25565,534
155217.154.0.0/16217.154.0.1 to 217.154.255.254217.154.255.25565,534
156217.155.0.0/16217.155.0.1 to 217.155.255.254217.155.255.25565,534
157217.156.0.0/16217.156.0.1 to 217.156.255.254217.156.255.25565,534
158217.157.0.0/16217.157.0.1 to 217.157.255.254217.157.255.25565,534
159217.158.0.0/16217.158.0.1 to 217.158.255.254217.158.255.25565,534
160217.159.0.0/16217.159.0.1 to 217.159.255.254217.159.255.25565,534
161217.160.0.0/16217.160.0.1 to 217.160.255.254217.160.255.25565,534
162217.161.0.0/16217.161.0.1 to 217.161.255.254217.161.255.25565,534
163217.162.0.0/16217.162.0.1 to 217.162.255.254217.162.255.25565,534
164217.163.0.0/16217.163.0.1 to 217.163.255.254217.163.255.25565,534
165217.164.0.0/16217.164.0.1 to 217.164.255.254217.164.255.25565,534
166217.165.0.0/16217.165.0.1 to 217.165.255.254217.165.255.25565,534
167217.166.0.0/16217.166.0.1 to 217.166.255.254217.166.255.25565,534
168217.167.0.0/16217.167.0.1 to 217.167.255.254217.167.255.25565,534
169217.168.0.0/16217.168.0.1 to 217.168.255.254217.168.255.25565,534
170217.169.0.0/16217.169.0.1 to 217.169.255.254217.169.255.25565,534
171217.170.0.0/16217.170.0.1 to 217.170.255.254217.170.255.25565,534
172217.171.0.0/16217.171.0.1 to 217.171.255.254217.171.255.25565,534
173217.172.0.0/16217.172.0.1 to 217.172.255.254217.172.255.25565,534
174217.173.0.0/16217.173.0.1 to 217.173.255.254217.173.255.25565,534
175217.174.0.0/16217.174.0.1 to 217.174.255.254217.174.255.25565,534
176217.175.0.0/16217.175.0.1 to 217.175.255.254217.175.255.25565,534
177217.176.0.0/16217.176.0.1 to 217.176.255.254217.176.255.25565,534
178217.177.0.0/16217.177.0.1 to 217.177.255.254217.177.255.25565,534
179217.178.0.0/16217.178.0.1 to 217.178.255.254217.178.255.25565,534
180217.179.0.0/16217.179.0.1 to 217.179.255.254217.179.255.25565,534
181217.180.0.0/16217.180.0.1 to 217.180.255.254217.180.255.25565,534
182217.181.0.0/16217.181.0.1 to 217.181.255.254217.181.255.25565,534
183217.182.0.0/16217.182.0.1 to 217.182.255.254217.182.255.25565,534
184217.183.0.0/16217.183.0.1 to 217.183.255.254217.183.255.25565,534
185217.184.0.0/16217.184.0.1 to 217.184.255.254217.184.255.25565,534
186217.185.0.0/16217.185.0.1 to 217.185.255.254217.185.255.25565,534
187217.186.0.0/16217.186.0.1 to 217.186.255.254217.186.255.25565,534
188217.187.0.0/16217.187.0.1 to 217.187.255.254217.187.255.25565,534
189217.188.0.0/16217.188.0.1 to 217.188.255.254217.188.255.25565,534
190217.189.0.0/16217.189.0.1 to 217.189.255.254217.189.255.25565,534
191217.190.0.0/16217.190.0.1 to 217.190.255.254217.190.255.25565,534
192217.191.0.0/16217.191.0.1 to 217.191.255.254217.191.255.25565,534
193217.192.0.0/16217.192.0.1 to 217.192.255.254217.192.255.25565,534
194217.193.0.0/16217.193.0.1 to 217.193.255.254217.193.255.25565,534
195217.194.0.0/16217.194.0.1 to 217.194.255.254217.194.255.25565,534
196217.195.0.0/16217.195.0.1 to 217.195.255.254217.195.255.25565,534
197217.196.0.0/16217.196.0.1 to 217.196.255.254217.196.255.25565,534
198217.197.0.0/16217.197.0.1 to 217.197.255.254217.197.255.25565,534
199217.198.0.0/16217.198.0.1 to 217.198.255.254217.198.255.25565,534
200217.199.0.0/16217.199.0.1 to 217.199.255.254217.199.255.25565,534
201217.200.0.0/16217.200.0.1 to 217.200.255.254217.200.255.25565,534
202217.201.0.0/16217.201.0.1 to 217.201.255.254217.201.255.25565,534
203217.202.0.0/16217.202.0.1 to 217.202.255.254217.202.255.25565,534
204217.203.0.0/16217.203.0.1 to 217.203.255.254217.203.255.25565,534
205217.204.0.0/16217.204.0.1 to 217.204.255.254217.204.255.25565,534
206217.205.0.0/16217.205.0.1 to 217.205.255.254217.205.255.25565,534
207217.206.0.0/16217.206.0.1 to 217.206.255.254217.206.255.25565,534
208217.207.0.0/16217.207.0.1 to 217.207.255.254217.207.255.25565,534
209217.208.0.0/16217.208.0.1 to 217.208.255.254217.208.255.25565,534
210217.209.0.0/16217.209.0.1 to 217.209.255.254217.209.255.25565,534
211217.210.0.0/16217.210.0.1 to 217.210.255.254217.210.255.25565,534
212217.211.0.0/16217.211.0.1 to 217.211.255.254217.211.255.25565,534
213217.212.0.0/16217.212.0.1 to 217.212.255.254217.212.255.25565,534
214217.213.0.0/16217.213.0.1 to 217.213.255.254217.213.255.25565,534
215217.214.0.0/16217.214.0.1 to 217.214.255.254217.214.255.25565,534
216217.215.0.0/16217.215.0.1 to 217.215.255.254217.215.255.25565,534
217217.216.0.0/16217.216.0.1 to 217.216.255.254217.216.255.25565,534
218217.217.0.0/16217.217.0.1 to 217.217.255.254217.217.255.25565,534
219217.218.0.0/16217.218.0.1 to 217.218.255.254217.218.255.25565,534
220217.219.0.0/16217.219.0.1 to 217.219.255.254217.219.255.25565,534
221217.220.0.0/16217.220.0.1 to 217.220.255.254217.220.255.25565,534
222217.221.0.0/16217.221.0.1 to 217.221.255.254217.221.255.25565,534
223217.222.0.0/16217.222.0.1 to 217.222.255.254217.222.255.25565,534
224217.223.0.0/16217.223.0.1 to 217.223.255.254217.223.255.25565,534
225217.224.0.0/16217.224.0.1 to 217.224.255.254217.224.255.25565,534
226217.225.0.0/16217.225.0.1 to 217.225.255.254217.225.255.25565,534
227217.226.0.0/16217.226.0.1 to 217.226.255.254217.226.255.25565,534
228217.227.0.0/16217.227.0.1 to 217.227.255.254217.227.255.25565,534
229217.228.0.0/16217.228.0.1 to 217.228.255.254217.228.255.25565,534
230217.229.0.0/16217.229.0.1 to 217.229.255.254217.229.255.25565,534
231217.230.0.0/16217.230.0.1 to 217.230.255.254217.230.255.25565,534
232217.231.0.0/16217.231.0.1 to 217.231.255.254217.231.255.25565,534
233217.232.0.0/16217.232.0.1 to 217.232.255.254217.232.255.25565,534
234217.233.0.0/16217.233.0.1 to 217.233.255.254217.233.255.25565,534
235217.234.0.0/16217.234.0.1 to 217.234.255.254217.234.255.25565,534
236217.235.0.0/16217.235.0.1 to 217.235.255.254217.235.255.25565,534
237217.236.0.0/16217.236.0.1 to 217.236.255.254217.236.255.25565,534
238217.237.0.0/16217.237.0.1 to 217.237.255.254217.237.255.25565,534
239217.238.0.0/16217.238.0.1 to 217.238.255.254217.238.255.25565,534
240217.239.0.0/16217.239.0.1 to 217.239.255.254217.239.255.25565,534
241217.240.0.0/16217.240.0.1 to 217.240.255.254217.240.255.25565,534
242217.241.0.0/16217.241.0.1 to 217.241.255.254217.241.255.25565,534
243217.242.0.0/16217.242.0.1 to 217.242.255.254217.242.255.25565,534
244217.243.0.0/16217.243.0.1 to 217.243.255.254217.243.255.25565,534
245217.244.0.0/16217.244.0.1 to 217.244.255.254217.244.255.25565,534
246217.245.0.0/16217.245.0.1 to 217.245.255.254217.245.255.25565,534
247217.246.0.0/16217.246.0.1 to 217.246.255.254217.246.255.25565,534
248217.247.0.0/16217.247.0.1 to 217.247.255.254217.247.255.25565,534
249217.248.0.0/16217.248.0.1 to 217.248.255.254217.248.255.25565,534
250217.249.0.0/16217.249.0.1 to 217.249.255.254217.249.255.25565,534
251217.250.0.0/16217.250.0.1 to 217.250.255.254217.250.255.25565,534
252217.251.0.0/16217.251.0.1 to 217.251.255.254217.251.255.25565,534
253217.252.0.0/16217.252.0.1 to 217.252.255.254217.252.255.25565,534
254217.253.0.0/16217.253.0.1 to 217.253.255.254217.253.255.25565,534
255217.254.0.0/16217.254.0.1 to 217.254.255.254217.254.255.25565,534
256217.255.0.0/16217.255.0.1 to 217.255.255.254217.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses